Bug 836737 - [abrt] shotwell-0.12.3-1.fc17: Process /usr/bin/shotwell was killed by signal 6 (SIGABRT)
[abrt] shotwell-0.12.3-1.fc17: Process /usr/bin/shotwell was killed by signal...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: shotwell (Show other bugs)
17
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
abrt_hash:805af5a75e60f28fde98841d7f3...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-30 13:52 EDT by kuchiman
Modified: 2013-08-01 00:08 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 00:08:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: event_log (1.53 KB, text/plain)
2012-06-30 13:53 EDT, kuchiman
no flags Details
File: backtrace (44.48 KB, text/plain)
2012-06-30 13:53 EDT, kuchiman
no flags Details
File: smolt_data (3.18 KB, text/plain)
2012-06-30 13:53 EDT, kuchiman
no flags Details
File: maps (38.84 KB, text/plain)
2012-06-30 13:53 EDT, kuchiman
no flags Details
File: dso_list (12.65 KB, text/plain)
2012-06-30 13:53 EDT, kuchiman
no flags Details

  None (edit)
Description kuchiman 2012-06-30 13:52:55 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        shotwell
comment:        He opened one of the events, looking through photo thumbnails. I decided to delete some. Identified several photographs and pressed DEL. The application has not responded and I have several times (like 2) hit the DEL. Even after a second application is declined. After restarting, repeat the mistake did not happen.
executable:     /usr/bin/shotwell
kernel:         3.4.3-1.fc17.i686
pid:            17704
pwd:            /home/roman
time:           Сб. 30 июня 2012 16:20:01
uid:            1000
username:       roman
xsession_errors: (shotwell:1958): GLib-GObject-CRITICAL **: g_object_set_data_full: assertion `G_IS_OBJECT (object)' failed

backtrace:      Text file, 45544 bytes
dso_list:       Text file, 12952 bytes
event_log:      Binary file, 1571 bytes
maps:           Text file, 39773 bytes
smolt_data:     Binary file, 3259 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/roman/2

core_backtrace:
:d96a17c6998c6d5f3054fdfd9790d314828655c8 0x424 __kernel_vsyscall linux-gate.so.1 -
:f13e5fa699a7129ee3080ddeb31558ef7578cddb 0x2e95f raise libc.so.6 -
:f13e5fa699a7129ee3080ddeb31558ef7578cddb 0x302b3 abort libc.so.6 -
:4a18cece7105bb73a4f2c3ad540803eb237e7543 0x6a799 g_assertion_message libglib-2.0.so.0 -
:4a18cece7105bb73a4f2c3ad540803eb237e7543 0x6ada0 g_assertion_message_expr libglib-2.0.so.0 -
:fa010d830e0e0617deab4fbd9b41780f0aa23890 0xf862 - libgee.so.2 -
:fa010d830e0e0617deab4fbd9b41780f0aa23890 0x9078 gee_abstract_list_get libgee.so.2 -
:d8a16c9014adaec4fed976df2eaa44d8bc3b1ba4 0x1ed82d - [exe] -
:d8a16c9014adaec4fed976df2eaa44d8bc3b1ba4 0x10be0b data_set_index_of [exe] -
:d8a16c9014adaec4fed976df2eaa44d8bc3b1ba4 0x10695e - [exe] -
:d8a16c9014adaec4fed976df2eaa44d8bc3b1ba4 0x11a2b9 - [exe] -
:d8a16c9014adaec4fed976df2eaa44d8bc3b1ba4 0x107f26 data_collection_index_of [exe] -
:d8a16c9014adaec4fed976df2eaa44d8bc3b1ba4 0x1186e2 - [exe] -
:d8a16c9014adaec4fed976df2eaa44d8bc3b1ba4 0x11c349 view_collection_get_next [exe] -
:d8a16c9014adaec4fed976df2eaa44d8bc3b1ba4 0x2c5d6f - [exe] -
:d8a16c9014adaec4fed976df2eaa44d8bc3b1ba4 0x2cea31 media_page_on_move_to_trash [exe] -
:d8a16c9014adaec4fed976df2eaa44d8bc3b1ba4 0x2cea5c - [exe] -
:15beedcb299b506c9c6a09bdfed67a02095644a5 0xeb4f g_cclosure_marshal_VOID__VOID libgobject-2.0.so.0 -
:15beedcb299b506c9c6a09bdfed67a02095644a5 0xcd97 g_closure_invoke libgobject-2.0.so.0 -
:15beedcb299b506c9c6a09bdfed67a02095644a5 0x1ea3d - libgobject-2.0.so.0 -
:15beedcb299b506c9c6a09bdfed67a02095644a5 0x26ce1 g_signal_emit_valist libgobject-2.0.so.0 -
:15beedcb299b506c9c6a09bdfed67a02095644a5 0x26e64 g_signal_emit libgobject-2.0.so.0 -
:ad9e27665744b5e0f27506032bcfd11acc11a16c 0x81af7 - libgtk-3.so.0 -
:ad9e27665744b5e0f27506032bcfd11acc11a16c 0x822c5 - libgtk-3.so.0 -
:15beedcb299b506c9c6a09bdfed67a02095644a5 0xcd97 g_closure_invoke libgobject-2.0.so.0 -
:15beedcb299b506c9c6a09bdfed67a02095644a5 0x1ea3d - libgobject-2.0.so.0 -
:15beedcb299b506c9c6a09bdfed67a02095644a5 0x26a4e g_signal_emit_valist libgobject-2.0.so.0 -
:15beedcb299b506c9c6a09bdfed67a02095644a5 0x26e64 g_signal_emit libgobject-2.0.so.0 -
:ad9e27665744b5e0f27506032bcfd11acc11a16c 0x7b68e gtk_accel_group_activate libgtk-3.so.0 -
:ad9e27665744b5e0f27506032bcfd11acc11a16c 0x7cf79 gtk_accel_groups_activate libgtk-3.so.0 -
:ad9e27665744b5e0f27506032bcfd11acc11a16c 0x2f09f6 gtk_window_activate_key libgtk-3.so.0 -
:ad9e27665744b5e0f27506032bcfd11acc11a16c 0x2f0a7f - libgtk-3.so.0 -
:d8a16c9014adaec4fed976df2eaa44d8bc3b1ba4 0x19d202 - [exe] -
:d8a16c9014adaec4fed976df2eaa44d8bc3b1ba4 0xeaaca - [exe] -
:ad9e27665744b5e0f27506032bcfd11acc11a16c 0x186bba - libgtk-3.so.0 -
:15beedcb299b506c9c6a09bdfed67a02095644a5 0xbbbe - libgobject-2.0.so.0 -
:15beedcb299b506c9c6a09bdfed67a02095644a5 0xcd97 g_closure_invoke libgobject-2.0.so.0 -
:15beedcb299b506c9c6a09bdfed67a02095644a5 0x1e6e8 - libgobject-2.0.so.0 -
:15beedcb299b506c9c6a09bdfed67a02095644a5 0x26a4e g_signal_emit_valist libgobject-2.0.so.0 -
:15beedcb299b506c9c6a09bdfed67a02095644a5 0x26e64 g_signal_emit libgobject-2.0.so.0 -
:ad9e27665744b5e0f27506032bcfd11acc11a16c 0x2d0e73 - libgtk-3.so.0 -
:ad9e27665744b5e0f27506032bcfd11acc11a16c 0x184881 - libgtk-3.so.0 -
:ad9e27665744b5e0f27506032bcfd11acc11a16c 0x186850 gtk_main_do_event libgtk-3.so.0 -
:e0185ee9a89ad3f701e8fa2c658e242b453d4d2b 0x1c5ed - libgdk-3.so.0 -
:e0185ee9a89ad3f701e8fa2c658e242b453d4d2b 0x45769 - libgdk-3.so.0 -
:4a18cece7105bb73a4f2c3ad540803eb237e7543 0x46feb g_main_context_dispatch libglib-2.0.so.0 -
:4a18cece7105bb73a4f2c3ad540803eb237e7543 0x47390 - libglib-2.0.so.0 -
:4a18cece7105bb73a4f2c3ad540803eb237e7543 0x477f3 g_main_loop_run libglib-2.0.so.0 -
:ad9e27665744b5e0f27506032bcfd11acc11a16c 0x1859fd gtk_main libgtk-3.so.0 -
:d8a16c9014adaec4fed976df2eaa44d8bc3b1ba4 0x2c28f6 application_start [exe] -
:d8a16c9014adaec4fed976df2eaa44d8bc3b1ba4 0x19aef5 library_exec [exe] -
:d8a16c9014adaec4fed976df2eaa44d8bc3b1ba4 0x19c157 _vala_main [exe] -
:d8a16c9014adaec4fed976df2eaa44d8bc3b1ba4 0x650f9 main [exe] -

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=2
:HOSTNAME=localhost.localdomain
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:QTDIR=/usr/lib/qt-3.3
:GNOME_KEYRING_CONTROL=/run/user/roman/keyring-wwu3hB
:QTINC=/usr/lib/qt-3.3/include
:QT_GRAPHICSSYSTEM_CHECKED=1
:'IMSETTINGS_MODULE=X compose table'
:USER=roman
:USERNAME=roman
:MAIL=/var/spool/mail/roman
:PATH=/usr/lib/qt-3.3/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/roman/.local/bin:/home/roman/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/roman
:XMODIFIERS=@im=none
:GNOME_KEYRING_PID=864
:LANG=ru_RU.utf8
:GDM_LANG=ru_RU.utf8
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:XDG_SEAT=seat0
:HOME=/home/roman
:SHLVL=1
:LOGNAME=roman
:QTLIB=/usr/lib/qt-3.3/lib
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-QCZ4fMF8iL,guid=9b02675cf2c9668e8f548f2b00000037
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/roman
:DISPLAY=:0
:XAUTHORITY=/var/run/gdm/auth-for-roman-aBjOEz/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/868,unix/unix:/tmp/.ICE-unix/868
:SSH_AUTH_SOCK=/run/user/roman/keyring-wwu3hB/ssh
:GPG_AGENT_INFO=/run/user/roman/keyring-wwu3hB/gpg:0:1
:GJS_DEBUG_OUTPUT=stderr
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/shotwell.desktop
:GIO_LAUNCHED_DESKTOP_FILE_PID=17704

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 13815                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       13815                13815                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:pos:	0
:flags:	0100000
:1:/home/roman/.xsession-errors
:pos:	1281656
:flags:	02002
:2:/home/roman/.xsession-errors
:pos:	1281656
:flags:	02002
:3:socket:[2224687]
:pos:	0
:flags:	02004002
:4:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:5:socket:[2224692]
:pos:	0
:flags:	02004002
:6:/home/roman/.cache/shotwell/shotwell.log
:pos:	174
:flags:	01
:7:socket:[2224694]
:pos:	0
:flags:	02004002
:8:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:9:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:10:/home/roman/.shotwell/data/photo.db
:pos:	514048
:flags:	02100002
:11:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:12:socket:[2224696]
:pos:	0
:flags:	02004002
:13:socket:[2224697]
:pos:	0
:flags:	02004002
:14:pipe:[2224713]
:pos:	0
:flags:	00
:15:pipe:[2224713]
:pos:	0
:flags:	01
:16:anon_inode:[timerfd]
:pos:	0
:flags:	04002

var_log_messages:
:Jun 27 08:36:20 localhost yum[3540]: Updated: shotwell-0.12.3-1.fc17.i686
:Jun 30 16:20:03 localhost abrt[17720]: Saved core dump of pid 17704 (/usr/bin/shotwell) to /var/spool/abrt/ccpp-2012-06-30-16:20:01-17704 (122445824 bytes)
Comment 1 kuchiman 2012-06-30 13:53:00 EDT
Created attachment 595462 [details]
File: event_log
Comment 2 kuchiman 2012-06-30 13:53:04 EDT
Created attachment 595463 [details]
File: backtrace
Comment 3 kuchiman 2012-06-30 13:53:07 EDT
Created attachment 595464 [details]
File: smolt_data
Comment 4 kuchiman 2012-06-30 13:53:11 EDT
Created attachment 595465 [details]
File: maps
Comment 5 kuchiman 2012-06-30 13:53:14 EDT
Created attachment 595466 [details]
File: dso_list
Comment 6 Fedora End Of Life 2013-07-03 20:26:14 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2013-08-01 00:08:44 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.